<?xml version="1.0" encoding="Shift_JIS"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl" xml:lang="ja">



<xsl:template match="/">
	<html>
		<head>
			<meta http-equiv="Content-Type" content="text/html;charset=x-sjis" />
			<link rel="stylesheet" type="text/css" href="style.css" />
			<title>KEY Depth Production -demos- </title>
		</head>

		<body topMargin="0">
			<xsl:apply-templates select="html/body" />
		</body>
	</html>
</xsl:template>



<xsl:template match="html/body">
	<h6>last UpdataDate 
		<script language="JavaScript">document.write(document.lastModified); </script>
		<br />
		<font color="#ff9999">see over ie5</font>
	</h6>

	<xsl:if test=".[KDP:toptitle = 'demos']">
		<img src="http://www.mirai.ne.jp/cgi-bin/counter2.cgi?u=kagii&amp;f=3" border="0"/>

		<a href="http://www.mirai.ne.jp/~mitsuman/">
			<img alt="[banner by Don]" src="http://www.mirai.ne.jp/~mitsuman/banner.gif" border="0"/>
		</a>

		<a href="http://www.ojuice.net/">
			<img alt="Orange Juice" src="http://www.ojuice.net/z/o/p/btnojuice.gif" border="0" />
		</a>
		<br />
	</xsl:if>

	<center>
	<h1>KEY Depth Production</h1>
	<h2>- <xsl:apply-templates select="KDP:toptitle" /> -</h2>
	</center>
	<hr />


	<!--news-->
	<h5>news</h5>
	<ul>
		<br />
		<xsl:apply-templates select="KDP:data/KDP:memo" />
	</ul>

	<!--news-->
	<h5>links</h5>
	<ul>
		<br />
		<xsl:apply-templates select="KDP:data" />
	</ul>


	<hr />
	<h6>send mail : <address>kagii@he.mirai.ne.jp</address></h6>
</xsl:template>


<xsl:template match="KDP:toptitle">
	<xsl:apply-templates />
</xsl:template>

<xsl:template match="KDP:data/KDP:memo">
	<xsl:for-each select=".">
		<table width="80%"><tr><td  nowrap="true"><xsl:value-of select="@KDP:date" /></td><td width="88%"><hr /></td></tr></table>

		<ul>
		<xsl:apply-templates select="KDP:topic" />
		</ul><br /><br /><br />
	</xsl:for-each>
</xsl:template>



<xsl:template match="KDP:topic">
		<xsl:for-each select=".">

			<b>
			<xsl:choose>
				<xsl:when test="KDP:url">
					<a>
						<xsl:attribute name="href">
							<xsl:value-of select="KDP:url" />
						</xsl:attribute>
						<xsl:value-of select="KDP:title" />
					</a>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="KDP:title" />
				</xsl:otherwise>
			</xsl:choose>
			</b>
			<br />
			@
			<xsl:apply-templates select="KDP:comment" />

			<br /><br />

		</xsl:for-each>
</xsl:template>




<xsl:template match="KDP:comment">
	<xsl:copy>
		<xsl:apply-templates />
	</xsl:copy>
</xsl:template>



<!-- //////////////////////////////////////// -->
<!-- LINK -->
<xsl:template match="KDP:data">
	<xsl:for-each select="KDP:link">
		<xsl:for-each select="KDP:topic">
			[<xsl:choose>
				<xsl:when test="KDP:url">
					<a>
						<xsl:attribute name="href">
							<xsl:value-of select="KDP:url" />
						</xsl:attribute>
						<xsl:value-of select="KDP:title" />
					</a>
				</xsl:when>
				<xsl:otherwise>
						<xsl:for-each select="KDP:title" >
							<xsl:apply-templates select="@*|node()" />
						</xsl:for-each>
				</xsl:otherwise>
			</xsl:choose>]
		</xsl:for-each>
	</xsl:for-each>

	<xsl:for-each select="KDP:link">
		<table width="80%"><tr><td nowrap="true"><xsl:value-of select="KDP:genre" /></td><td width="88%"><hr /></td></tr></table>

		<ul>
<table>
		<xsl:for-each select="KDP:topic">
	<tr>

			<td>
			<xsl:choose>
				<xsl:when test="KDP:url">
					<b>
					<a>
						<xsl:attribute name="href">
							<xsl:value-of select="KDP:url" />
						</xsl:attribute>
						[<xsl:value-of select="KDP:title" />]
					</a>
					</b>
				</xsl:when>
				<xsl:otherwise>
					<b>
						<xsl:for-each select="KDP:title" >
							<xsl:apply-templates select="@*|node()" />
						</xsl:for-each>
					</b>
				</xsl:otherwise>
			</xsl:choose>
			</td>
			<td>
			@
			<xsl:for-each select="KDP:comment" >
				<xsl:apply-templates select="@*|node()" />
			</xsl:for-each>
			</td>

	</tr>

		</xsl:for-each>
</table>
		</ul><br /><br />
	</xsl:for-each>

</xsl:template>







<!-- //////////////////////////////////////// -->
<!-- HTML -->
<xsl:template match="p|hr|i|u|b|h1|h2|h3|a|font|code|table|tr|td|th|q|thead|pre|code|div|li|ul|ol|center|@*">
	<xsl:copy>
		<xsl:apply-templates select="@*|*|text()" />
	</xsl:copy>
</xsl:template>


<xsl:template match="br">
	<br />
</xsl:template>


<xsl:template match="text()">
	<xsl:copy>
		<xsl:apply-templates select="@*|*|text()" />
	</xsl:copy>
</xsl:template>


<!-- //////////////////////////////////////// -->
<!-- debug -->
<!--
<xsl:template match=".">
	<xsl:eval>t=""; for( i=depth(this); i>=1; i-=1 )t+="@@@";</xsl:eval>
	[<xsl:eval>this.nodeName</xsl:eval>]<br />
	<xsl:apply-templates />
	<xsl:eval>t=""; for( i=depth(this); i>=1; i-=1 )t+="@@@";</xsl:eval>
	[/<xsl:eval>this.nodeName</xsl:eval>]<br />
</xsl:template>

<xsl:template match="text()">
	"<xsl:copy />"<br />
</xsl:template>
-->


</xsl:stylesheet>
