<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl" xml:lang="ja">

<!--
copyright (c)2001 Kiyoyuki Kagii (KEY Depth)
MathMLtoHTML

	modify:2001/04/05 key
	 ver 1.0
		XHTML
	modify:2001/03/24 key
	 ver 0.0.5
		 table mode
-->



<xsl:template match="/">
	<html lang="ja" xmlns:KDP="http://www.mirai.ne.jp/~kagii/" >
		<head>
			<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
			<meta http-equiv="Content-Script-Type" content="text/javascript" />
			<link rel="stylesheet" type="text/css" href="math.css" />
			<xsl:apply-templates select="html/head/link" />
			<xsl:apply-templates select="link" />
		</head>

		<body>
			<xsl:attribute name="bgcolor">	<xsl:value-of select="@bgcolor" />	</xsl:attribute>
			<xsl:attribute name="background">	<xsl:value-of select="@background" />	</xsl:attribute>
			<xsl:attribute name="text">		<xsl:value-of select="@text" />		</xsl:attribute>
			<xsl:attribute name="link">		<xsl:value-of select="@link" />		</xsl:attribute>
			<xsl:attribute name="vlink">	<xsl:value-of select="@vlink" />	</xsl:attribute>
			<xsl:attribute name="alink">	<xsl:value-of select="@alink" />	</xsl:attribute>
			<xsl:attribute name="topmargin">	<xsl:value-of select="@topmargin" />	</xsl:attribute>
			<xsl:attribute name="leftmargin">	<xsl:value-of select="@leftmargin" />	</xsl:attribute>
			<xsl:attribute name="onLoad">	<xsl:value-of select="@onLoad" />	</xsl:attribute>

			<xsl:apply-templates select="html/body" />
			<hr class="mhr" />
			<div style="text-align: right; 	font-size: 9pt;">
				<address>
				<font face = "Helvetica, Arial" >
					copyright (c)2001 Kiyoyuki Kagii (KEY Depth). 
					mailto:<a href="mailto:kagii@he.mirai.ne.jp" class="aa">kagii@he.mirai.ne.jp</a>
				</font>
				</address>
			</div>
		</body>
	</html>
</xsl:template>


<xsl:template match="link">
	<link rel="stylesheet" type="text/css" >
		<xsl:attribute name="href">
			<xsl:value-of select="@href" />
		</xsl:attribute>
	</link >
</xsl:template>


<xsl:template match="html/body">
	<xsl:apply-templates />
</xsl:template>




<!-- //////////////////////////////////////// -->
<!-- XML test -->
<!--
	<xsl:if expr="if(this)1"><br />
		<xsl:if expr="if(this.data)1">
			[data:<xsl:eval>this.data</xsl:eval>]
		</xsl:if>
		<xsl:if expr="if(this.length)1">
			[length:<xsl:eval>this.length</xsl:eval>]
		</xsl:if>
		<xsl:if expr="if(this.nodeName)1">
			[nodeName:<xsl:eval>this.nodeName</xsl:eval>]
		</xsl:if>
		<xsl:if expr="if(this.nodeValue)1">
			[nodeValue:<xsl:eval>this.nodeValue</xsl:eval>]
		</xsl:if>
		<xsl:if expr="if(this.parentNode)1">
			[parentNode:<xsl:eval>this.parentNode.nodeName</xsl:eval>]
		</xsl:if>
		<xsl:if expr="if(this.childNodes)1">
			[childNodes:<xsl:eval>this.childNodes.length</xsl:eval>]
		</xsl:if>
		<xsl:if expr="if(this.firstChild)1">
			[firstChild:<xsl:eval>this.firstChild.nodeName</xsl:eval>]
		</xsl:if>
		<xsl:if expr="if(this.lastChild)1">
			[lastChild:<xsl:eval>this.lastChild.nodeName</xsl:eval>]
		</xsl:if>
		<xsl:if expr="if(this.previousSibling)1">
			[previousSibling:<xsl:eval>this.previousSibling.nodeName</xsl:eval>]
		</xsl:if>
		<xsl:if expr="if(this.nextSibling)1">
			[nextSibling:<xsl:eval>this.nextSibling.nodeName</xsl:eval>]
		</xsl:if>
		<xsl:if expr="if(this.attributes)1">
			[attributes:<xsl:eval>this.attributes.length</xsl:eval>]
		</xsl:if>
		<xsl:if expr="if(this.ownerDocument)1">
			[ownerDocument:<xsl:eval>this.ownerDocument.nodeName</xsl:eval>]
		</xsl:if><br />
	</xsl:if>
-->


<!-- //////////////////////////////////////// -->
<!-- MathML -->
<xsl:template match="KDP:math">
		<table class="KDPMath" cellspacing="0" cellpadding="0" nowrap="True">
		<tr><td nowrap="True">
		<xsl:apply-templates />
		</td>
		<td><!--;--></td>
		</tr>
		</table>
</xsl:template>


<xsl:template match="mstyle">
	<xsl:apply-templates />
</xsl:template>


<xsl:template match="mtext">
	<xsl:apply-templates />
</xsl:template>


<xsl:template match="mtable">
	<td><table>
		<xsl:apply-templates select="mtr|mtd" />
	</table></td>
</xsl:template>

<xsl:template match="mtr">
	<xsl:for-each select=".">
		<tr>
			<xsl:apply-templates />
		</tr>
	</xsl:for-each>
</xsl:template>

<xsl:template match="mtd">
	<xsl:for-each select=".">
		<td>
			<xsl:apply-templates />
		</td>
	</xsl:for-each>
</xsl:template>


<xsl:template match="mspace">
	<space>
		<xsl:attribute name="width">
			<xsl:value-of select=".[@width]"/>
		</xsl:attribute>
		<xsl:attribute name="height">
			<xsl:value-of select=".[@height]"/>
		</xsl:attribute>
	</space>
</xsl:template>



<xsl:template match="munderover" >
	<td><table class="inttable" border="0" cellspacing="0" cellpadding="0">
		<tr><td>
		<font class="sumI">
			<xsl:apply-templates select="*[2]" />
		</font>
		</td><td>
		</td></tr>
		
		<tr><td>
			<font class="sum">
				<xsl:apply-templates select="*[0]" />
			</font>
		</td>
		<td>
			<xsl:apply-templates select="apply" />
		</td>
		</tr>
		<tr><td>
			<font class="sumI">
				<xsl:apply-templates select="*[1]" />
			</font>
		</td><td>
		</td></tr>
	</table></td>
</xsl:template>

<!-- ********************** -->
<!-- base -->
<xsl:template match="ci|cn|mi|mn|mo">
	<xsl:if expr="if(this)1">
		<xsl:if expr="if(this.parentNode)1">
			<xsl:if expr="if(this.parentNode.parentNode)1">
				<xsl:if expr="if(this.parentNode.parentNode.nodeName == 'apply' &amp;&amp; this.parentNode.nodeName == 'apply')1">
				</xsl:if>
				<xsl:if expr="if(this.parentNode.parentNode.nodeName != 'apply' || this.parentNode.nodeName != 'apply')1">
				</xsl:if>

<!--		<font style="float:left; text-vling:center">
-->

	<xsl:choose>
		<xsl:when test=".[@type='']" > <xsl:apply-templates /> </xsl:when>
		<xsl:when test=".[@type='real']" ><xsl:apply-templates /> </xsl:when>
		<xsl:when test=".[@type='integer']" >
			<xsl:apply-templates />
				<xsl:choose>
					<xsl:when test=".[@base='']" >  </xsl:when>
					<xsl:otherwise><sub>
						<font class="msub"><xsl:value-of select="@base" /></font>
					</sub> </xsl:otherwise>
				</xsl:choose>
		</xsl:when>
		<xsl:when test=".[@type='rational']" ><xsl:apply-templates /> </xsl:when>
		<xsl:when test=".[@type='complex-cartesian']" ><xsl:apply-templates /> </xsl:when>
		<xsl:when test=".[@type='complex-polar']" ><xsl:apply-templates /> </xsl:when>
		<xsl:when test=".[@type='vector']" ><i><xsl:apply-templates /></i> </xsl:when>
		<xsl:when test=".[@type='fn']" ><i><xsl:apply-templates /> </i></xsl:when>
		<xsl:otherwise><xsl:apply-templates /> </xsl:otherwise>
	</xsl:choose>


<!--
		</font>
-->

		</xsl:if>
		</xsl:if>
	</xsl:if>
</xsl:template>


<xsl:template match="fn">
	<i><xsl:apply-templates /></i>
</xsl:template>


<xsl:template match="mrow">
<!--
	<td/>
	<table class="mrow" cellspacing="0" cellpadding="0">	<tr>
	<td align="center" class="mrow" nowrap="True">
		<xsl:apply-templates />
	</td>
	</tr></table>
	<td/>
-->
	<table class="mrow" border="0" cellspacing="0" cellpadding="0">
	<tr>
	<xsl:for-each select="*">
		<td>
			<xsl:apply-templates select="."/>
		</td>
	</xsl:for-each>

	</tr>
	</table>

</xsl:template>


<xsl:template match="mfenced">
	<table class="inttable" border="0" cellspacing="0" cellpadding="0">
	<tr>
	<td>(</td>
	<td><xsl:apply-templates /></td>
	<td>)</td>
	</tr>
	</table>
</xsl:template>


<xsl:template match="lambda">
	<table class="lambda" border="0" cellspacing="0" cellpadding="0"><tr>
	<td>λ(</td>
	<td><xsl:apply-templates select="bvar" /></td>
	<td>,</td>
	<td><xsl:apply-templates select="apply" /></td>
	<td>)</td>
	</tr></table>
</xsl:template>


<xsl:template match="msup">
	<table class="mrow" cellspacing="0" cellpadding="0">
	<tr>
		<td rowspan="2">
			<xsl:apply-templates select="*[0]" />
		</td>
		<td height="0em">
			<sup>
			<font class="msup">
				<xsl:apply-templates select="*[1]" />
			</font>
			</sup>
		</td>
	</tr>
	<tr>
		<td height="0em">　</td>
	</tr>
	</table>
<!--
 modify 20001/03/24 key
	<table class="mrow" cellspacing="0" cellpadding="0">
	<tr>
		<td>
			<xsl:apply-templates select="*[0]" />
		</td>
		<td>
			<sup>
			<font class="msup">
				<xsl:apply-templates select="*[1]" />
			</font>
			</sup>
		</td>
	</tr>
	</table>
-->
</xsl:template>


<xsl:template match="msub">
	<table class="mrow" cellspacing="0" cellpadding="0">
	<tr>
		<td rowspan="2">
			<xsl:apply-templates select="*[0]" />
		</td>
		<td height="0em">　</td>
	</tr>
	<tr>
		<td height="0em">
			<sub>
			<font class="msub">
				<xsl:apply-templates select="*[1]" />
			</font>
			</sub>
		</td>
	</tr>
	</table>
<!-- 20001/03/24 key
	<table class="mrow" cellspacing="0" cellpadding="0">
	<tr>
		<td>
			<xsl:apply-templates select="*[0]" />
		</td>
		<td>
			<sub>
			<font class="msub">
				<xsl:apply-templates select="*[1]" />
			</font>
			</sub>
		</td>
	</tr>
	</table>
-->
</xsl:template>


<xsl:template match="uplimit">
	<xsl:apply-templates />
</xsl:template>


<xsl:template match="lowlimit">
	<xsl:apply-templates />
</xsl:template>


<xsl:template match="logbase">
	<xsl:apply-templates />
</xsl:template>


<xsl:template match="bvar">
	<xsl:apply-templates />
</xsl:template>



<xsl:template match="interval">
	<table class="interval" border="0" cellspacing="0" cellpadding="0"><tr>
	<td>
	<xsl:choose>
		<xsl:when test=".[@closure='']" >[</xsl:when>
		<xsl:when test=".[@closure='closed']" >[</xsl:when>
		<xsl:when test=".[@closure='open']" >(</xsl:when>
		<xsl:when test=".[@closure='closed-open']" >[</xsl:when>
		<xsl:when test=".[@closure='open-closed']" >(</xsl:when>
		<xsl:otherwise>[</xsl:otherwise>
	</xsl:choose>
	</td>
	<td>
	<xsl:apply-templates select="*[0]" />
	</td>
	<td>
	,
	</td>
	<td>
	<xsl:apply-templates select="*[1]" />
	</td>
	<td>
	<xsl:choose>
		<xsl:when test=".[@closure='']" >]</xsl:when>
		<xsl:when test=".[@closure='closed']" >]</xsl:when>
		<xsl:when test=".[@closure='open']" >)</xsl:when>
		<xsl:when test=".[@closure='closed-open']" >)</xsl:when>
		<xsl:when test=".[@closure='open-closed']" >]</xsl:when>
		<xsl:otherwise>]</xsl:otherwise>
	</xsl:choose>
	</td>
	</tr></table>

</xsl:template>


<xsl:template match="ident" >
	id
</xsl:template>

<xsl:template match="reals" >
	<b>R</b>
</xsl:template>
<xsl:template match="rationals" >
	<b>Q</b>
</xsl:template>
<xsl:template match="degree" >
	<xsl:apply-templates />
</xsl:template>
<xsl:template match="infinity" >
	∞
</xsl:template>


<xsl:template match="condition" >
	<font class="condition"><xsl:apply-templates /></font>
</xsl:template>

<!--  <- base  -->
<!-- ********************** -->
<!-- Function -->
<xsl:template match="apply">
	<xsl:apply-templates select="image" />

	<xsl:if expr="if(this.firstChild.nodeName!='image')1;">
	<xsl:apply-templates select="sin|cos|tan|sec|scs|cot|arcsin|arccos|arctan|arcsec|arcscs|arccot|sinh|cosh|tanh|sech|scsh|coth|arcsinh|arccosh|arctanh|arcsech|arcscsh|arccoth" />
	<xsl:apply-templates select="exp|ln|log" />
	<xsl:apply-templates select="power" />
	<xsl:apply-templates select="plus|minus|times" />
	<xsl:apply-templates select="in|subset|prsubset|setdiff" />

	<xsl:apply-templates select="inverse" />
	<xsl:apply-templates select="reln" />
	<xsl:apply-templates select="int|diff|partialdiff|sum|product|limit" />
	<xsl:apply-templates select="compose" />
	<xsl:apply-templates select="eq|neq|geq|leq|gt|lt|and|or|xor|not|implies|approx|equivalent|factorof|cartesianproduct|union|intersect" />
	<xsl:apply-templates select="domain|codomain" />
	<xsl:apply-templates select="rem" />
	<xsl:apply-templates select="root" />
	<xsl:apply-templates select="exists" />
	<xsl:apply-templates select="abs|card" />
	<xsl:apply-templates select="conjugate|arg|real|imaginary" />
	<xsl:apply-templates select="tendsto" />
	<xsl:apply-templates select="vector|matrix|transpose" />
	<xsl:apply-templates select="vectorproduct|scalarproduct|outerproduct" />

	<xsl:if expr="if(this.firstChild.childNodes.length)1">
		<table class="inttable" border="0" cellspacing="0" cellpadding="0"><tr>
		<td><xsl:apply-templates select="*[0]" /></td>
		<td>(</td><td><xsl:apply-templates select="*[1]" /></td><td>)</td>
		</tr></table>
	</xsl:if>
	</xsl:if>

</xsl:template>


<!-- Function -->
<xsl:template match="sin|cos|tan|sec|scs|cot|arcsin|arccos|arctan|arcsec|arcscs|arccot">
	<table class="inttable" border="0" cellspacing="0" cellpadding="0">
	<tr><td><xsl:eval>this.nodeName</xsl:eval></td>
	<td><xsl:apply-templates select="../*[1]" /></td>
	</tr></table>
</xsl:template>

<xsl:template match="sinh|cosh|tanh|sech|scsh|coth|arcsinh|arccosh|arctanh|arcsech|arcscsh|arccoth">
	<xsl:eval>this.nodeName</xsl:eval>
	<xsl:apply-templates select="../*[1]" />
</xsl:template>

<xsl:template match="exp">
	<table class="mrow" cellspacing="0" cellpadding="0">
	<tr>
		<td rowspan="2">
			<b>e</b>
		</td>
		<td height="0em">
			<sup>
			<font class="msup">
			<xsl:apply-templates select="../*[1]" />
			</font>
			</sup>
		</td>
	</tr>
	<tr>
		<td height="0em">　</td>
	</tr>
	</table>
</xsl:template>

<xsl:template match="ln">
	<table class="log" cellspacing="0" cellpadding="0"><tr>
	<td><xsl:eval>this.nodeName</xsl:eval></td>
	<td><xsl:apply-templates select="../*[1]" /></td>
	</tr></table>
</xsl:template>


<!-- 20001/03/24 key
<xsl:template match="log">
	<table class="log" cellspacing="0" cellpadding="0"><tr>
	<td rowspan="2"><xsl:eval>this.nodeName</xsl:eval></td>
	<td>　</td>
	<td rowspan="2">
	<xsl:for-each select="../*">
		<xsl:if expr="if(this.nodeName=='logbase')1">
			<sub><xsl:apply-templates  /></sub>
		</xsl:if>
	</xsl:for-each>
	</td>
</tr>
<tr> 
	<td>　</td>
	<xsl:for-each select="../*">
		<xsl:if expr="if(this.nodeName!='logbase')1">
			<xsl:apply-templates />
		</xsl:if>
	</xsl:for-each>
	</tr></table>
</xsl:template>
-->

<xsl:template match="log">
	<table class="log" cellspacing="0" cellpadding="0"><tr>
	<td><xsl:eval>this.nodeName</xsl:eval></td>
	<xsl:for-each select="../*">
		<xsl:if expr="if(this.nodeName=='logbase')1">
			<td><sub>
				<font class="msub"><xsl:apply-templates  /></font>
			</sub></td>
		</xsl:if>

		<xsl:if expr="if(this.nodeName!='logbase')1">
			<td><xsl:apply-templates /></td>
		</xsl:if>
	</xsl:for-each>
	</tr></table>
</xsl:template>

	

<xsl:template match="domain|codomain">
	<table class="domain" cellspacing="0" cellpadding="0"><tr>
	<td><xsl:eval>this.nodeName</xsl:eval></td>
	<td>(</td>
	<td><xsl:apply-templates select="../*[1]" /></td>
	<td>)</td>
	</tr></table>
</xsl:template>

<xsl:template match="image">
	<xsl:eval>this.nodeName</xsl:eval>
	(
		<xsl:eval>this.parentNode.childNodes[1].nodeName</xsl:eval>
	)
</xsl:template>


<xsl:template match="power" >
<!--
	<table class="mrow" cellspacing="0" cellpadding="0">
	<tr>
		<td rowspan="2">
			<xsl:apply-templates select="../*[1]" />
		</td>
		<td height="0em">
			<sup>
			<font class="msup">
				<xsl:apply-templates select="../*[2]" />
			</font>
			</sup>
		</td>
	</tr>
	<tr>
		<td height="0em">　</td>
	</tr>
	</table>
-->
	<table class="mrow" cellspacing="0" cellpadding="0">
	<tr>
		<td>
			<xsl:apply-templates select="../*[1]" />
		</td>
		<td>
			<sup>
			<font class="msup">
				<xsl:apply-templates select="../*[2]" />
			</font>
			</sup>
		</td>
	</tr>
	</table>

</xsl:template>

<xsl:template match="in|subset|prsubset|setdiff" >
	<table class="inttable" border="0" cellspacing="0" cellpadding="0"><tr>
	<td>
	<xsl:apply-templates select="../*[1]" />
	</td>
	<td>
	<xsl:if expr="this.parentNode.firstChild.nodeName=='in'">∈</xsl:if>
	<xsl:if expr="this.parentNode.firstChild.nodeName=='subset'">⊆</xsl:if>
	<xsl:if expr="this.parentNode.firstChild.nodeName=='prsubset'">⊂</xsl:if>
	<xsl:if expr="this.parentNode.firstChild.nodeName=='setdiff'">＼</xsl:if>
	</td>
	<td>
	<xsl:apply-templates select="../*[2]" />
	</td>
	</tr></table>
</xsl:template>


<xsl:template match="plus|minus|times" >
	<table class="plus" cellspacing="0" cellpadding="0">
	<tr>

	<td>(</td>
	<xsl:for-each select="../*">
		<xsl:if expr="if( this.nodeName != this.parentNode.firstChild.nodeName &amp;&amp; this.nextSibling)1">
			<td>
				<xsl:apply-templates select="." />
			</td>
			<td>
				<xsl:if expr="this.parentNode.firstChild.nodeName=='plus'">+</xsl:if>
				<xsl:if expr="this.parentNode.firstChild.nodeName=='minus'">-</xsl:if>
			</td>
		</xsl:if>
		<xsl:if expr="if( this.nodeName != this.parentNode.firstChild.nodeName &amp;&amp; !this.nextSibling)1">
			<td>
				<xsl:apply-templates select="." />
			</td>
		</xsl:if>
	</xsl:for-each>
	<td>)</td>

	</tr>
	</table>
</xsl:template>


<xsl:template match="tendsto">
	<table class="eq" cellspacing="0" cellpadding="0"><tr>
	<td>
	<xsl:apply-templates select="../*[1]" />
	</td>
	<td>
	<xsl:if test=".[@type='above']">&#x2198;</xsl:if>
	<xsl:if test=".[@type='']">→</xsl:if>
	</td>
	<td>
	<xsl:apply-templates select="../*[2]" />
	</td>
	</tr></table>
</xsl:template>



<xsl:template match="reln" >
	<xsl:apply-templates select="eq|neq|geq|leq|gt|lt|and|or|xor|not|implies|approx|equivalent|factorof|cartesianproduct|union|intersect" />
</xsl:template>

<xsl:template match="eq|neq|geq|leq|gt|lt|and|or|xor|not|implies|approx|equivalent|factorof|cartesianproduct|union|intersect|vectorproduct|scalarproduct|outerproduct" >
	<table class="eq" cellspacing="0" cellpadding="0"><tr>
	<xsl:if expr="if(depth(this)>2)1"><td>(</td></xsl:if>
	<xsl:for-each select="../*">
		<xsl:if expr="if( this.nodeName != this.parentNode.firstChild.nodeName &amp;&amp; this.nextSibling)1">
			<td><xsl:apply-templates select="." /></td>
			<td>
			<xsl:if expr="this.parentNode.firstChild.nodeName=='eq'">＝</xsl:if>
			<xsl:if expr="this.parentNode.firstChild.nodeName=='neq'">≠</xsl:if>
			<xsl:if expr="this.parentNode.firstChild.nodeName=='geq'">≧</xsl:if>
			<xsl:if expr="this.parentNode.firstChild.nodeName=='leq'">≦</xsl:if>
			<xsl:if expr="this.parentNode.firstChild.nodeName=='gt'">&gt;</xsl:if>
			<xsl:if expr="this.parentNode.firstChild.nodeName=='lt'">&lt;</xsl:if>
			<xsl:if expr="this.parentNode.firstChild.nodeName=='and'">∧</xsl:if>
			<xsl:if expr="this.parentNode.firstChild.nodeName=='or'">∨</xsl:if>
			<xsl:if expr="this.parentNode.firstChild.nodeName=='xor'">xor</xsl:if>
			<xsl:if expr="this.parentNode.firstChild.nodeName=='not'">￢</xsl:if>
			<xsl:if expr="this.parentNode.firstChild.nodeName=='implies'">⇒</xsl:if>
			<xsl:if expr="this.parentNode.firstChild.nodeName=='equivalent'">≡</xsl:if>
			<xsl:if expr="this.parentNode.firstChild.nodeName=='approx'">≒</xsl:if>
			<xsl:if expr="this.parentNode.firstChild.nodeName=='factorof'">｜</xsl:if>
			<xsl:if expr="this.parentNode.firstChild.nodeName=='cartesianproduct'">×</xsl:if>
			<xsl:if expr="this.parentNode.firstChild.nodeName=='union'">∪</xsl:if>
			<xsl:if expr="this.parentNode.firstChild.nodeName=='intersect'">∩</xsl:if>
			<xsl:if expr="this.parentNode.firstChild.nodeName=='vectorproduct'">×</xsl:if>
			<xsl:if expr="this.parentNode.firstChild.nodeName=='scalarproduct'">．</xsl:if>
			<xsl:if expr="this.parentNode.firstChild.nodeName=='outerproduct'">．</xsl:if>
			</td>

		</xsl:if>
		<xsl:if expr="if( this.nodeName != this.parentNode.firstChild.nodeName &amp;&amp; !this.nextSibling)1">
		
			<xsl:if expr="this.parentNode.firstChild.nodeName=='not'"><td>￢</td></xsl:if>
			<td><xsl:apply-templates select="." /></td>
		</xsl:if>
	</xsl:for-each>
	<xsl:if expr="if(depth(this)>2)1"><td>)</td></xsl:if>
	</tr>
	</table>
</xsl:template>


<xsl:template match="inverse" >
	<table class="inverse" border="0" cellspacing="0" cellpadding="0"><tr>
	<td><xsl:apply-templates select="../*[1]" /></td>
	<td><sup><font class="msup">(-1)</font></sup></td>
	</tr></table>
</xsl:template>


<xsl:template match="vector" >
	<td><table class="inttable" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td>
				<xsl:attribute name="rowspan">
					<xsl:eval>this.childNodes.length+2</xsl:eval>
				</xsl:attribute>
				<font>
				<xsl:attribute name="style">
					font-size=<xsl:eval>this.childNodes.length * 100</xsl:eval> % 
				</xsl:attribute>
				(</font>
			</td>
			<td>　</td>
			<td>
				<xsl:attribute name="rowspan">
					<xsl:eval>this.childNodes.length+2</xsl:eval>
				</xsl:attribute>
				<font>
				<xsl:attribute name="style">
					font-size=<xsl:eval>this.childNodes.length * 100</xsl:eval> %
				</xsl:attribute>
				)</font>
			</td>
		</tr>

		<xsl:for-each select="*">
			<tr><td>
			<xsl:apply-templates select="." />
			</td></tr>
		</xsl:for-each>

		<tr> 
			<td>　</td>
		</tr>

	</table></td>
</xsl:template>

<xsl:template match="matrix" >
	<td><table class="matrix" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td>
				<xsl:attribute name="rowspan">
					<xsl:eval>this.childNodes.length+2</xsl:eval>
				</xsl:attribute>
				<font>
				<xsl:attribute name="style">
					font-size=<xsl:eval>this.childNodes.length * 100</xsl:eval> % 
				</xsl:attribute>
				(</font>
			</td>
			<td>　</td>
			<td>
				<xsl:attribute name="rowspan">
					<xsl:eval>this.childNodes.length+2</xsl:eval>
				</xsl:attribute>
				<font>
				<xsl:attribute name="style">
					font-size=<xsl:eval>this.childNodes.length * 100</xsl:eval> %
				</xsl:attribute>
				)</font>
			</td>
		</tr>

		<xsl:for-each select="matrixrow">
			<tr>
			<xsl:apply-templates select="." />
			</tr>
		</xsl:for-each>
		<tr> 
			<td>　</td>
		</tr>
	</table></td>
</xsl:template>

<xsl:template match="transpose" >
	<xsl:apply-templates select="../*[1]" />
	<sup><font class="msup">T</font></sup>
</xsl:template>


<xsl:template match="matrixrow" >
	<td><table class="inttable" border="0" cellspacing="0" cellpadding="0">
		<xsl:for-each select="*">
			<td>
				<xsl:apply-templates select="." />
			</td>
		</xsl:for-each>
	</table></td>
</xsl:template>


<xsl:template match="int" >
	<table class="inttable" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td>
				<font class="intIV"></font>
			</td>
			<td></td>
			<td></td>
		</tr>

		<tr>
			<td rowspan="2">
				<font class="int">∫</font>
			</td>

			<td>
				<sup>
					<xsl:if test=".[../uplimit!='']">
						<font class="intII"><xsl:apply-templates select="../uplimit" /></font>
					</xsl:if>
					<xsl:if test=".[../interval!='']">
						<font class="intII"><xsl:apply-templates select="../interval/*[1]" /></font>
					</xsl:if>
				</sup>
			</td>

			<td rowspan="2">
			<table class="inttable" border="0" cellspacing="0" cellpadding="0"><tr>
				<font class="intIII">
					<td><xsl:apply-templates select="../apply" /></td>
					<td><xsl:apply-templates /></td>
					<xsl:if test=".[../bvar!='']">
						<td>d</td><td><xsl:apply-templates select="../bvar" /></td>
					</xsl:if>
				</font>
			</tr></table>
			</td>
		</tr>

		<tr>
			<td>
				<sub>
					<xsl:if test=".[../lowlimit!='']">
						<font class="intI"><xsl:apply-templates select="../lowlimit" /></font>
					</xsl:if>
					<xsl:if test=".[../interval!='']">
						<font class="intI"><xsl:apply-templates select="../interval/*[0]" /></font>
					</xsl:if>
					<xsl:if test=".[../interval='' and ../interval='']">
					</xsl:if>
				</sub>
			</td>
		</tr>

		<tr>
			<td>
				<font class="intIV">
					<xsl:if test=".[../condition!='']">
						<xsl:apply-templates select="../condition" />
					</xsl:if>
				</font>
			</td>
			<td></td>
			<td></td>
		</tr>
	</table>
</xsl:template>


<xsl:template match="sum" >
	<td><table class="inttable" border="0" cellspacing="0" cellpadding="0">
		<tr><td>
		<font class="sumI">
			<xsl:if test=".[../uplimit!='']">
				<xsl:apply-templates select="../uplimit" />
			</xsl:if>
			<xsl:if test=".[../interval!='']">
				<xsl:apply-templates select="../interval/*[1]" />
			</xsl:if>
		</font>
		</td><td>
		</td></tr>
		
		<tr><td>
			<font class="sum">Σ</font>
		</td>
		<td>
			<xsl:apply-templates select="../apply" />
			<xsl:apply-templates />
		</td>
		</tr>
		<tr><td>
			<font class="sumI">
	<table class="inttable" border="0" cellspacing="0" cellpadding="0"><tr>
				<xsl:if test=".[../bvar!='']">
					<td><xsl:apply-templates select="../bvar" /></td><td>=</td>
				</xsl:if>

		<xsl:if test=".[../condition!='']">
			<td><xsl:apply-templates select="../condition" /></td>
		</xsl:if>
		<td>
				<xsl:if test=".[../lowlimit!='']">
					<xsl:apply-templates select="../lowlimit" />
				</xsl:if>
				<xsl:if test=".[../interval!='']">
					<xsl:apply-templates select="../interval/*[0]" />
				</xsl:if>
				<xsl:if test=".[../interval='' and ../interval='']">
				</xsl:if>
		</td>
	</tr></table>
			</font>
		</td><td>
		</td></tr>
	</table></td>
</xsl:template>


<xsl:template match="product" >
	<td><table class="inttable" border="0" cellspacing="0" cellpadding="0">
		<tr><td>
		<font class="productI">
			<xsl:if test=".[../uplimit!='']">
				<xsl:apply-templates select="../uplimit" />
			</xsl:if>
			<xsl:if test=".[../interval!='']">
				<xsl:apply-templates select="../interval/*[1]" />
			</xsl:if>
		</font>
		</td><td>
		</td></tr>
		
		<tr><td>
			<font class="product">Π</font>
		</td>
		<td>
			<xsl:apply-templates select="../apply" />
			<xsl:apply-templates />
		</td>
		</tr>
		<tr><td>
			<font class="productI">
	<table class="inttable" border="0" cellspacing="0" cellpadding="0"><tr>
				<xsl:if test=".[../bvar!='']">
					<td><xsl:apply-templates select="../bvar" /></td><td>=</td>
				</xsl:if>

		<xsl:if test=".[../condition!='']">
			<td><xsl:apply-templates select="../condition" /></td>
		</xsl:if>
		<td>
				<xsl:if test=".[../lowlimit!='']">
					<xsl:apply-templates select="../lowlimit" />
				</xsl:if>
				<xsl:if test=".[../interval!='']">
					<xsl:apply-templates select="../interval/*[0]" />
				</xsl:if>
				<xsl:if test=".[../interval='' and ../interval='']">
				</xsl:if>
		</td>
	</tr></table>
			</font>
		</td><td>
		</td></tr>
	</table></td>
</xsl:template>


<xsl:template match="limit" >
	<td><table class="inttable" border="0" cellspacing="0" cellpadding="0">
		<tr><td>
			<font class="product">lim</font>
		</td>
		<td>
			<xsl:apply-templates select="../apply" />
			<xsl:apply-templates />
		</td>
		</tr>
		<tr><td>

			<font class="productI">
	<table class="inttable" border="0" cellspacing="0" cellpadding="0"><tr>
				<xsl:if test=".[../bvar!='']">
					<td><xsl:apply-templates select="../bvar" /></td><td>→</td>
				</xsl:if>

		<xsl:if test=".[../condition!='']">
	<td>
			<xsl:apply-templates select="../condition" />
	</td>
		</xsl:if>
	<td>
				<xsl:if test=".[../lowlimit!='']">
					<xsl:apply-templates select="../lowlimit" />
				</xsl:if>
				<xsl:if test=".[../interval!='']">
					<xsl:apply-templates select="../interval/*[0]" />
				</xsl:if>
				<xsl:if test=".[../interval='' and ../interval='']">
				</xsl:if>
	</td>
	</tr></table>
			</font>
		</td><td>
		</td></tr>
	</table></td>
</xsl:template>


<xsl:template match="mfrac">
	<table class="mfrac" cellspacing="0" cellpadding="0">
	<tr><td width="10em"></td>
	<td align="center" class="mfracI" nowrap="True">
		<xsl:apply-templates select="*[0]" />
	</td><td width="10em"></td>
	</tr><tr>
	<td colspan="3"><hr class="mhr" /></td>
	</tr><tr><td width="10em"></td>
	<td align="center" class="mfracII" nowrap="True">
		<xsl:apply-templates select="*[1]" />
	</td><td width="10em"></td>
	</tr></table>
</xsl:template>


<xsl:template match="diff" >
	<xsl:if expr="if(this.parentNode.childNodes.length == 2)1">
		<xsl:apply-templates select="../*[1]" />'
	</xsl:if>
	<xsl:if expr="if(this.parentNode.childNodes.length == 3)1">
		<td><table class="mfrac" cellspacing="0" cellpadding="0" >
		<tr>
			<td>d</td>
			<td><xsl:apply-templates select="../*[2]" /></td>
		</tr><tr>
		<td><hr class="mhr" /></td>
		</tr><tr>
		<td align="center" class="mfracII">d</td>
			<td><xsl:apply-templates select="../*[1]" /></td>
		</tr>
		</table></td>
	</xsl:if>
</xsl:template>


<xsl:template match="partialdiff" >
	<xsl:if expr="if(this.parentNode.childNodes.length == 3)1">
		<td><table>
		<tr>
			<td>δ</td>
			<td><sup>
				<font class="msup"><xsl:eval>this.parentNode.childNodes.length-1</xsl:eval></font>
			</sup></td>
		</tr><tr>
		<td><hr class="mhr" /></td>
		</tr><tr>
		
			<xsl:if test=".[../bvar!='']">
				<td>δ</td>
				<td><xsl:apply-templates select="../bvar" /></td>
			</xsl:if>
		</tr>
		</table></td>
	</xsl:if>
</xsl:template>


<xsl:template match="compose" >
	<table class="compose" cellspacing="0" cellpadding="0"><tr>
	<td>
		<xsl:if expr="this.parentNode.nodeName=='apply' &amp;&amp;
			this.parentNode.parentNode.nodeName=='apply'">[[[</xsl:if>
	</td>
		<xsl:for-each select="../*">
			<xsl:if expr="if( this.nodeName != this.parentNode.firstChild.nodeName &amp;&amp;
				this.nextSibling)1">
				<td><xsl:apply-templates select="." /></td><td>〇</td>
			</xsl:if>
			<xsl:if expr="if( this.nodeName != this.parentNode.firstChild.nodeName &amp;&amp;
				!this.nextSibling)1">
				<td><xsl:apply-templates select="." /></td>
			</xsl:if>
		</xsl:for-each>
	<td>
		<xsl:if expr="this.parentNode.nodeName=='apply' &amp;&amp;
			this.parentNode.parentNode.nodeName=='apply'">]]]</xsl:if>
	</td>
	</tr></table>
</xsl:template>


<xsl:template match="rem" >
</xsl:template>


<xsl:template match="rem" >
	<xsl:apply-templates select="../*[1]" />
	mod
	<xsl:apply-templates select="../*[2]" />
</xsl:template>


<xsl:template match="msqrt" >
	<table cellspacing="0" cellpadding="0" nowrap="True"><tr>
		<td rowspan="2" nowrap="True">
			<font class="msqrt">
				√
			</font>
		</td>
	</tr><tr>
	<td>
		<table cellspacing="0" cellpadding="0" nowrap="True"><tr>
		<td align="center" nowrap="True"><hr class="mhr" /></td>
		</tr><tr>
		<td align="center" nowrap="True">
			<font class="msqrtI">
				<xsl:apply-templates />
			</font>
		</td>
		</tr></table>
	</td>
	</tr></table>
</xsl:template>


<xsl:template match="root" >
	<table cellspacing="0" cellpadding="0" nowrap="True"><tr>
	<td><sup><font class="msup">
		<xsl:apply-templates select="../degree" />
		</font>
	</sup></td>
	<td>
		<font class="root">
			√
		</font>
	</td>
	<td>
		<table cellspacing="0" cellpadding="0" nowrap="True"><tr>
		<td align="center" nowrap="True"><hr class="mhr" /></td>
		</tr><tr>
		<td align="center" nowrap="True">
			<font class="rootI">
				<xsl:apply-templates select="../*[2]" />
			</font>
		</td>
		</tr></table>
	</td>
	</tr></table>
</xsl:template>


<xsl:template match="exists" >
	<table class="arg" cellspacing="0" cellpadding="0"><tr>
	<td>∃</td>
	<td><xsl:apply-templates select="../*[1]" /></td><td>:</td>
	<td><xsl:apply-templates select="../*[2]" /></td>
	</tr></table>
</xsl:template>


<xsl:template match="abs|card" >
	<table class="arg" cellspacing="0" cellpadding="0"><tr>
	<td>|</td><td><xsl:apply-templates select="../*[1]" /></td><td>|</td>
	</tr></table>
</xsl:template>


<xsl:template match="conjugate" >
	<font class="conjugate"><xsl:apply-templates select="../*[1]" /></font>
</xsl:template>


<xsl:template match="arg" >
	<table class="arg" cellspacing="0" cellpadding="0"><tr>
	<td>arg[</td><td><xsl:apply-templates select="../*[1]" /></td><td>]</td>
	</tr></table>
</xsl:template>

<xsl:template match="real" >
	<table class="arg" cellspacing="0" cellpadding="0"><tr>
	<td>Re[</td><td><xsl:apply-templates select="../*[1]" /></td><td>]</td>
	</tr></table>
</xsl:template>
<xsl:template match="imaginary" >
	<table class="arg" cellspacing="0" cellpadding="0"><tr>
	<td>Im[</td><td><xsl:apply-templates select="../*[1]" /></td><td>]</td>
	</tr></table>
</xsl:template>




<!-- //////////////////////////////////////// -->
<!-- HTML -->
<!--
<xsl:template match="@*|*|text()">
	<xsl:copy>
		<xsl:apply-templates select="@*|*|text()" />
	</xsl:copy>
</xsl:template>
-->

<xsl:template match="A|ABBR|ACRONYM|ADDRESS|APPLET|AREA|B|BASE|BASEFONT|BDO|BGSOUND|BIG|BLINK|BLOCKQUOTE|BR|BUTTON|CAPTION|CENTER|CITE|CODE|COL|COLGROUP|COMMENT|DD|DEL|DFN|DIR|DIV|DL|DOCTYPE|DT|EM|EMBED|FIELDSET|FONT|FORM|FRAME|FRAMESET|H1|H2|H3|H4|H5|H6|HEAD|HR|I|IFRAME|ILAYER|IMG|INPUT|INS|ISINDEX|KBD|KEYGEN|LABEL|LAYER|LEGEND|LI|LISTING|MAP|MARQUEE|MENU|META|MULTICOL|NEXTID|NOBR|NOEMBED|NOFRAMES|NOLAYER|NOSCRIPT|OBJECT|OL|OPTGROUP|OPTION|P|PARAM|PLAINTEXT|PRE|Q|RB|RP|RT|RUBY|S|SAMP|SCRIPT|SELECT|SERVER|SMALL|SPACER|SPAN|STRIKE|STRONG|STYLE|SUB|SUP|TABLE|TBODY|TD|TEXTAREA|TFOOT|TH|THEAD|TITLE|TR|TTU|UL|VAR|WBR|XMP|a|abbr|acronym|address|applet|area|b|base|basefont|bdo|bgsound|big|blink|blockquote|br|button|caption|center|cite|code|col|colgroup|comment|dd|del|dfn|dir|div|dl|doctype|dt|em|embed|fieldset|font|form|frame|frameset|h1|h2|h3|h4|h5|h6|head|hr|i|iframe|ilayer|img|input|ins|isindex|kbd|keygen|label|layer|legend|li|listing|map|marquee|menu|meta|multicol|nextid|nobr|noembed|noframes|nolayer|noscript|object|ol|optgroup|option|p|param|plaintext|pre|q|rb|rp|rt|ruby|s|samp|script|select|server|small|spacer|span|strike|strong|style|sub|sup|table|tbody|td|textarea|tfoot|th|thead|title|tr|ttu|ul|var|wbr|xmp|@*|text()">
	<xsl:copy>
		<xsl:apply-templates select="*|@*|text()" />
	</xsl:copy>
</xsl:template>

<xsl:template match="br">
	<br />
</xsl:template>


<xsl:template match="text()">
	<xsl:copy>
		<xsl:apply-templates select="@*|*|text()" />
	</xsl:copy>
</xsl:template>



<!-- //////////////////////////////////////// -->
<!-- debug -->
<!--
<xsl:template match=".">
	<xsl:eval>t=""; for( i=depth(this); i>=1; i-=1 )t+="　　　";</xsl:eval>
	[<xsl:eval>this.nodeName</xsl:eval>]<br />
	<xsl:apply-templates />
	<xsl:eval>t=""; for( i=depth(this); i>=1; i-=1 )t+="　　　";</xsl:eval>
	[/<xsl:eval>this.nodeName</xsl:eval>]<br />
</xsl:template>

<xsl:template match="text()">
	"<xsl:copy />"<br />
</xsl:template>
-->

<!--
<xsl:template match="@*|node()">
	<xsl:copy>
	<xsl:apply-templates />
	</xsl:copy>
</xsl:template>
-->




</xsl:stylesheet>

